
Smart Proxy - Bug #18177

The autosign checker does not close its file descriptor

01/20/2017 09:10 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Puppet   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/497,

https://github.com/theforeman/smart-pro

xy/pull/522

  

Description

Over a period of time lsof shows that the autosign.conf file is being opened repeatedly but not closed.

I am working with a very old code base but the fault is still there in development.

Associated revisions

Revision 538faca7 - 05/03/2017 11:08 AM - Paul Kelly

fixes #18177 - file descriptor leak in puppet autosign handling

History

#1 - 01/20/2017 09:18 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/497 added

#2 - 01/20/2017 09:21 AM - Anonymous

This looks like the culprit: https://github.com/theforeman/smart-proxy/blob/develop/modules/puppetca/puppetca_main.rb#L25. But there are a couple

more places where file descriptors will be leaked should an error occur.

#3 - 05/02/2017 12:02 PM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/522 added

#4 - 05/03/2017 12:01 PM - Paul Kelly

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 538faca79fd94d9e98542ed2d1d98e11131c0b09.
